[project]
name = "MCP-A2A-Gateway"
version = "0.1.8"
description = "A bridge server that connects Model Context Protocol (MCP) with Agent-to-Agent (A2A) protocol"
readme = "README.md"
requires-python = ">=3.11"
license = {text = "Apache-2.0"}
authors = [
    {name = "yw0nam", email = "spow2544@gmail.com"}
]
maintainers = [
    {name = "yw0nam", email = "spow2544@gmail.com"}
]
keywords = ["MCP", "A2A", "Agent-to-Agent", "Model Context Protocol", "AI", "LLM"]
classifiers = [
    "Development Status :: 4 - Beta",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: Apache Software License",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.11",
    "Topic :: Software Development :: Libraries :: Python Modules",
    "Topic :: Scientific/Engineering :: Artificial Intelligence",
]
dependencies = [
    "a2a-sdk>=0.2.8",
    "uvicorn>=0.34.0",
    "fastmcp>=2.8.1",
    "pytest>=8.4.1",
    "pytest-asyncio>=1.0.0",
    "httpx>=0.28.1",
]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["mcp_a2a_gateway"]

[project.urls]
"Homepage" = "https://github.com/yw0nam/MCP-A2A-Gateway"
"Bug Tracker" = "https://github.com/yw0nam/MCP-A2A-Gateway/issues"
"Repository" = "https://github.com/yw0nam/MCP-A2A-Gateway"
"Documentation" = "https://github.com/yw0nam/MCP-A2A-Gateway/blob/main/README.md"

[project.scripts]
"mcp-a2a-gateway" = "mcp_a2a_gateway.main:main"

[tool.pytest.ini_options]
testpaths = ["tests"]
python_files = ["test_*.py", "*_test.py"]
python_classes = ["Test*"]
python_functions = ["test_*"]
addopts = "-v --tb=short"
asyncio_mode = "auto"
